--- old/usr/src/cmd/rcm_daemon/Makefile.com	Tue Jan  8 12:35:41 2019
+++ new/usr/src/cmd/rcm_daemon/Makefile.com	Tue Jan  8 12:35:41 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1999, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2016 Nexenta Systems, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 include ../../Makefile.cmd
@@ -124,6 +125,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 MAPFILES = ../common/mapfile-intf $(MAPFILE.NGB)
 rcm_daemon := LDFLAGS += $(MAPFILES:%=-M%)
 
--- old/usr/src/cmd/refer/Makefile	Tue Jan  8 12:35:43 2019
+++ new/usr/src/cmd/refer/Makefile	Tue Jan  8 12:35:43 2019
@@ -23,6 +23,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.cmd
 
@@ -50,6 +51,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CLOBBERFILES += $(PROG3)
 
 addbib.po :=	XGETFLAGS += -a -x addbib.xcl
--- old/usr/src/cmd/regcmp/Makefile	Tue Jan  8 12:35:44 2019
+++ new/usr/src/cmd/regcmp/Makefile	Tue Jan  8 12:35:44 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= regcmp 
 
@@ -29,6 +30,8 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/rmformat/Makefile	Tue Jan  8 12:35:44 2019
+++ new/usr/src/cmd/rmformat/Makefile	Tue Jan  8 12:35:44 2019
@@ -23,6 +23,7 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= rmformat
 
@@ -36,6 +37,9 @@
 
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LINTFLAGS += -u
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 
@@ -49,7 +53,7 @@
 	$(LINK.c) -o $(PROG) $(OBJS) $(LDLIBS)
 	$(POST_PROCESS)
 
-install: all $(ROOTPROG) 
+install: all $(ROOTPROG)
 
 clean:
 	$(RM) $(OBJS)
--- old/usr/src/cmd/rmmount/Makefile	Tue Jan  8 12:35:44 2019
+++ new/usr/src/cmd/rmmount/Makefile	Tue Jan  8 12:35:44 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		rmmount
 LOCAL_OBJS =	rmmount.o
@@ -47,6 +48,9 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/rmvolmgr/Makefile	Tue Jan  8 12:35:47 2019
+++ new/usr/src/cmd/rmvolmgr/Makefile	Tue Jan  8 12:35:47 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		rmvolmgr
 OBJS =		rmm_common.o rmvolmgr.o vold.o
@@ -48,6 +49,9 @@
 CERRWARN += 	-_gcc=-Wno-parentheses
 CERRWARN += 	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 ROOTCMDDIR =		$(ROOTLIB)
 ROOTMANIFESTDIR =	$(ROOTSVCSYSTEMFILESYSTEM)
 $(ROOTMANIFEST) :=	FILEMODE = 444
--- old/usr/src/cmd/rpcbind/Makefile	Tue Jan  8 12:35:49 2019
+++ new/usr/src/cmd/rpcbind/Makefile	Tue Jan  8 12:35:49 2019
@@ -24,6 +24,7 @@
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		rpcbind
 MANIFEST=	bind.xml
@@ -46,6 +47,9 @@
 $(RELEASE_BUILD)CPPFLAGS += -DNDEBUG
 LDLIBS += -lsocket -lnsl -lwrap -lscf -lumem
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG) $(SVCMETHOD)
--- old/usr/src/cmd/rpcsvc/Makefile	Tue Jan  8 12:35:51 2019
+++ new/usr/src/cmd/rpcsvc/Makefile	Tue Jan  8 12:35:51 2019
@@ -22,8 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
-# cmd/rpcsvc/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROTOCOL_DIR= $(ROOT)/usr/include/rpcsvc
 
@@ -64,6 +63,10 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-extra
 CERRWARN += -_gcc=-Wno-unused-function
+
+# not linted
+SMATCH=off
+
 LDLIBS += -lnsl
 rusers :=	CFLAGS += $(CCVERBOSE)
 $(BINPROG) :=	LDLIBS += -lrpcsvc
--- old/usr/src/cmd/sa/Makefile	Tue Jan  8 12:35:54 2019
+++ new/usr/src/cmd/sa/Makefile	Tue Jan  8 12:35:54 2019
@@ -23,8 +23,7 @@
 # Use is subject to license terms.
 # Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 #
-# cmd/sa/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 MANIFEST =	sar.xml
 SVCMETHOD =	svc-sar
@@ -36,6 +35,8 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += all_func_returns
+
 GREP=		grep
 
 SADC= 		sadc
--- old/usr/src/cmd/saf/Makefile	Tue Jan  8 12:35:54 2019
+++ new/usr/src/cmd/saf/Makefile	Tue Jan  8 12:35:54 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= sac sacadm pmadm
 
@@ -61,6 +62,9 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-extra
 
+# too many untyped funcs
+SMATCH=off
+
 util1.o := CPPFLAGS += -DSAC
 util2.o := CPPFLAGS += -USAC
 
--- old/usr/src/cmd/sasinfo/Makefile	Tue Jan  8 12:35:55 2019
+++ new/usr/src/cmd/sasinfo/Makefile	Tue Jan  8 12:35:55 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 include ../Makefile.cmd
 
@@ -47,6 +47,8 @@
 
 CERRWARN += -_gcc=-Wno-unused-value
 
+SMOFF += indenting
+
 INCS += -I.
 INCS += -I$(SRC)/lib/smhba/common
 INCS += -I$(SRC)/lib/hbaapi/common
--- old/usr/src/cmd/savecore/Makefile.com	Tue Jan  8 12:35:56 2019
+++ new/usr/src/cmd/savecore/Makefile.com	Tue Jan  8 12:35:56 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1998, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= savecore
 SRCS= ../savecore.c ../../../uts/common/os/compress.c
@@ -34,6 +35,9 @@
 CFLAGS64 += $(CCVERBOSE)
 CPPFLAGS += -D_LARGEFILE64_SOURCE=1 -DBZ_NO_STDIO -I$(SRC)/uts/common
 
+# not linted
+SMATCH=off
+
 #
 # savecore is compiled with bits from $(SRC)/common/bzip2 and some function
 # symbols there are defined as weak; if you leave them out of
--- old/usr/src/cmd/script/Makefile	Tue Jan  8 12:35:56 2019
+++ new/usr/src/cmd/script/Makefile	Tue Jan  8 12:35:56 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= script
 
@@ -30,9 +31,11 @@
 
 CERRWARN += -_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/setfacl/Makefile	Tue Jan  8 12:35:57 2019
+++ new/usr/src/cmd/setfacl/Makefile	Tue Jan  8 12:35:57 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1993 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= setfacl
 
@@ -31,11 +32,14 @@
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 LDLIBS += -lsec
 
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTPROG)
 
--- old/usr/src/cmd/sgs/ar/Makefile.com	Tue Jan  8 12:35:57 2019
+++ new/usr/src/cmd/sgs/ar/Makefile.com	Tue Jan  8 12:35:57 2019
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=		ar
@@ -42,6 +43,9 @@
 CSTD=	$(CSTD_GNU99)
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+SMOFF += signed
+
 LDLIBS +=	-lelf $(CONVLIBDIR) $(CONV_LIB) -lsendfile
 LINTFLAGS=	-x
 LINTFLAGS64=	-x
--- old/usr/src/cmd/sgs/crle/Makefile.com	Tue Jan  8 12:35:57 2019
+++ new/usr/src/cmd/sgs/crle/Makefile.com	Tue Jan  8 12:35:57 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		crle
 
@@ -39,6 +40,9 @@
 MAPFILE=	$(MAPFILE.NGB)
 MAPOPT=		$(MAPFILE:%=-M%)
 
+# not linted
+SMATCH=off
+
 CPPFLAGS +=	-I$(SRC)/common/sgsrtcid -I$(SRCBASE)/uts/$(ARCH)/sys \
 		-D__EXTENSIONS__
 LLDFLAGS =	'-R$$ORIGIN/../lib'
--- old/usr/src/cmd/sgs/dump/Makefile.com	Tue Jan  8 12:35:58 2019
+++ new/usr/src/cmd/sgs/dump/Makefile.com	Tue Jan  8 12:35:58 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		dump
 
@@ -43,6 +44,8 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += indenting
+
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
 LINTFLAGS +=	-x
 LINTSRCS =	$(SRCS)
--- old/usr/src/cmd/sgs/elfdump/Makefile.com	Tue Jan  8 12:35:58 2019
+++ new/usr/src/cmd/sgs/elfdump/Makefile.com	Tue Jan  8 12:35:58 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1997, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=		elfdump
@@ -60,6 +61,9 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 BLTDEFS =	msg.h
 BLTDATA =	msg.c
 BLTMESG =	$(SGSMSGDIR)/elfdump
--- old/usr/src/cmd/sgs/error/i386/Makefile	Tue Jan  8 12:36:01 2019
+++ new/usr/src/cmd/sgs/error/i386/Makefile	Tue Jan  8 12:36:01 2019
@@ -24,6 +24,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		error
 
@@ -43,6 +44,8 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+SMOFF += no_if_block,indenting
+
 CLEANFILES +=	$(LINTOUT)
 
 %.o:		../common/%.c
--- old/usr/src/cmd/sgs/gprof/Makefile.com	Tue Jan  8 12:36:04 2019
+++ new/usr/src/cmd/sgs/gprof/Makefile.com	Tue Jan  8 12:36:04 2019
@@ -22,8 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/sgs/gprof/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		gprof
 
@@ -46,6 +45,10 @@
 LINTSRCS =	$(SRCS)
 LINTFLAGS +=	-x
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 CLEANFILES +=	$(LINTOUTS)
 
 ROOTLIBBLURB=	$(BLURBS:%=$(ROOTSHLIBCCS)/%)
--- old/usr/src/cmd/sgs/ldd/Makefile.com	Tue Jan  8 12:36:07 2019
+++ new/usr/src/cmd/sgs/ldd/Makefile.com	Tue Jan  8 12:36:07 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		ldd
 
@@ -48,6 +49,8 @@
 LINTFLAGS +=	-x
 LINTFLAGS64 +=	-x
 
+SMOFF += or_vs_and
+
 BLTDEFS=        msg.h
 BLTDATA=        msg.c
 BLTMESG=        $(SGSMSGDIR)/ldd
--- old/usr/src/cmd/sgs/ldprof/Makefile.com	Tue Jan  8 12:36:08 2019
+++ new/usr/src/cmd/sgs/ldprof/Makefile.com	Tue Jan  8 12:36:08 2019
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 1995, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY=	ldprof.a
@@ -47,6 +48,8 @@
 		$(CPPFLAGS.master) -I$(ELFCAP)
 CFLAGS +=	$(C_PICFLAGS)
 
+SMOFF += indenting
+
 lint :=		ZRECORD =
 LDLIBS +=	$(ZRECORD) -lmapmalloc -lc $(DLLIB)
 
--- old/usr/src/cmd/sgs/libconv/Makefile.com	Tue Jan  8 12:36:08 2019
+++ new/usr/src/cmd/sgs/libconv/Makefile.com	Tue Jan  8 12:36:08 2019
@@ -91,6 +91,9 @@
 CERRWARN	+= -_gcc=-Wno-type-limits
 CERRWARN	+= -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 CTFCONVERT_O=
 
 README_REVISION=../../packages/common/readme_revision
--- old/usr/src/cmd/sgs/libelf/Makefile.com	Tue Jan  8 12:36:09 2019
+++ new/usr/src/cmd/sgs/libelf/Makefile.com	Tue Jan  8 12:36:09 2019
@@ -21,6 +21,7 @@
 #
 # Copyright 2015 Gary Mills
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 LIBRARY=	libelf.a
@@ -71,6 +72,8 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += indenting
+
 BUILD.AR=	$(RM) $@ ; \
 		$(AR) q $@ `$(LORDER) $(OBJECTS:%=$(DIR)/%)| $(TSORT)`
 		$(POST_PROCESS_A)
--- old/usr/src/cmd/sgs/libld/Makefile.com	Tue Jan  8 12:36:09 2019
+++ new/usr/src/cmd/sgs/libld/Makefile.com	Tue Jan  8 12:36:09 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 LIBRARY =	libld.a
 VERS =		.4
@@ -94,6 +95,8 @@
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-type-limits
 
+SMOFF += no_if_block
+
 # Location of the shared relocation engines maintained under usr/src/uts.
 #
 KRTLD_I386 = $(SRCBASE)/uts/$(VAR_PLAT_i386)/krtld
--- old/usr/src/cmd/sgs/nm/amd64/Makefile	Tue Jan  8 12:36:09 2019
+++ new/usr/src/cmd/sgs/nm/amd64/Makefile	Tue Jan  8 12:36:09 2019
@@ -22,6 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		nm
 
@@ -43,6 +44,8 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += precedence,indenting
+
 LDLIBS +=	$(CONVLIBDIR64) $(CONV_LIB) $(ELFLIBDIR) -lelf
 LINTFLAGS64 +=	-x $(LDLIBS) -m64
 LINTSRCS=	$(SRCS)
--- old/usr/src/cmd/sgs/nm/i386/Makefile	Tue Jan  8 12:36:10 2019
+++ new/usr/src/cmd/sgs/nm/i386/Makefile	Tue Jan  8 12:36:10 2019
@@ -21,8 +21,7 @@
 #
 # Copyright (c) 1993, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# cmd/sgs/nm/i386/Makefile
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		nm
 XPG4PROG=	nm
@@ -47,6 +46,8 @@
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+SMOFF += precedence,indenting
+
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
 LINTFLAGS +=	-x $(LDLIBS)
 LINTSRCS=	$(SRCS)
--- old/usr/src/cmd/sgs/prof/Makefile.com	Tue Jan  8 12:36:10 2019
+++ new/usr/src/cmd/sgs/prof/Makefile.com	Tue Jan  8 12:36:10 2019
@@ -22,8 +22,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/sgs/prof/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		prof
 
@@ -43,6 +42,10 @@
 CFLAGS +=	$(CCVERBOSE)
 CSTD=	$(CSTD_GNU99)
 CERRWARN +=	-_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
 LINTSRCS =	$(SRCS)
 LINTFLAGS +=	-x
--- old/usr/src/cmd/sgs/pvs/Makefile.com	Tue Jan  8 12:36:10 2019
+++ new/usr/src/cmd/sgs/pvs/Makefile.com	Tue Jan  8 12:36:10 2019
@@ -23,6 +23,7 @@
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		pvs
 
@@ -48,6 +49,9 @@
 LINTFLAGS +=	-x
 LINTFLAGS64 +=	-x
 
+# not linted
+SMATCH=off
+
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
 BLTMESG=	$(SGSMSGDIR)/pvs
--- old/usr/src/cmd/sgs/rtld/Makefile.com	Tue Jan  8 12:36:11 2019
+++ new/usr/src/cmd/sgs/rtld/Makefile.com	Tue Jan  8 12:36:11 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1994, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 RTLD=		ld.so.1
 
@@ -89,6 +90,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 # These definitions require that libc be built in the same workspace
 # as the run-time linker and before the run-time linker is built.
 # This is required for the system's self-consistency in any case.
@@ -100,7 +104,7 @@
 		$(CPICLIB) $(CLIB) \
 		$(LDDBGLIBDIR) $(LDDBG_LIB) \
 		$(RTLDLIB) -lrtld \
-		$(LDLIB) $(LD_LIB) 
+		$(LDLIB) $(LD_LIB)
 
 DYNFLAGS +=	-i -e _rt_boot $(VERSREF) $(ZNODLOPEN) \
 		$(ZINTERPOSE) -zdtrace=dtrace_data '-R$$ORIGIN'
--- old/usr/src/cmd/sgs/tools/Makefile.com	Tue Jan  8 12:36:11 2019
+++ new/usr/src/cmd/sgs/tools/Makefile.com	Tue Jan  8 12:36:11 2019
@@ -18,6 +18,7 @@
 #
 # CDDL HEADER END
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
@@ -66,3 +67,6 @@
 ROOTPROGS=	$(PROGS:%=$(ROOTDIR)/bin/%)
 
 FILEMODE=	0755
+
+# not linted
+SMATCH=off
--- old/usr/src/cmd/sgs/yacc/Makefile.com	Tue Jan  8 12:36:12 2019
+++ new/usr/src/cmd/sgs/yacc/Makefile.com	Tue Jan  8 12:36:12 2019
@@ -23,6 +23,7 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		yacc
 
@@ -74,6 +75,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 $(ROOTPROG):= FILEMODE = 0555
 
 ROOTYACCPAR=	$(YACCPAR:%=$(ROOTSHLIBCCS)/%)
--- old/usr/src/cmd/sh/Makefile	Tue Jan  8 12:36:12 2019
+++ new/usr/src/cmd/sh/Makefile	Tue Jan  8 12:36:12 2019
@@ -21,6 +21,7 @@
 #
 # Copyright (c) 1990, 2010, Oracle and/or its affiliates. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		sh
 USR_PROG =	$(PROG)
@@ -45,6 +46,10 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-extra
 CERRWARN += -_gcc=-Wno-unused-variable
+
+# unknown type for func
+SMATCH=off
+
 MAPFILES = $(MAPFILE.INT) $(MAPFILE.NGB)
 LDFLAGS += $(MAPFILES:%=-M%)
 LDLIBS += -lgen
--- old/usr/src/cmd/shcomp/Makefile	Tue Jan  8 12:36:14 2019
+++ new/usr/src/cmd/shcomp/Makefile	Tue Jan  8 12:36:14 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 SHELL=/usr/bin/ksh93
 
@@ -63,6 +64,8 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+SMOFF +=	all_func_returns
+
 ROOTCMDDIR=$(ROOT)/usr/bin
 
 PROG= shcomp
--- old/usr/src/cmd/smbsrv/smbadm/Makefile	Tue Jan  8 12:36:15 2019
+++ new/usr/src/cmd/smbsrv/smbadm/Makefile	Tue Jan  8 12:36:15 2019
@@ -23,6 +23,7 @@
 # Use is subject to license terms.
 #
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG=	smbadm
@@ -38,6 +39,8 @@
 
 CERRWARN += -_gcc=-Wno-uninitialized
 
+SMOFF += free
+
 all:		$(PROG)
 
 clean:
--- old/usr/src/cmd/smserverd/Makefile	Tue Jan  8 12:36:15 2019
+++ new/usr/src/cmd/smserverd/Makefile	Tue Jan  8 12:36:15 2019
@@ -22,6 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =	rpc.smserverd
 OBJS =	smediad.o smediad_err.o myaudit.o smed_svc.o smed_xdr.o
@@ -47,6 +48,10 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-variable
+
+# not linted
+SMATCH=off
+
 LINTFLAGS += -u
 
 .KEEP_STATE:
--- old/usr/src/cmd/soelim/Makefile	Tue Jan  8 12:36:16 2019
+++ new/usr/src/cmd/soelim/Makefile	Tue Jan  8 12:36:16 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.cmd
 
@@ -33,6 +34,9 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 
+# not linted
+SMATCH=off
+
 all :		$(PROG)
 
 $(PROG) :	soelim.o
--- old/usr/src/cmd/sort/Makefile.com	Tue Jan  8 12:36:16 2019
+++ new/usr/src/cmd/sort/Makefile.com	Tue Jan  8 12:36:16 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 #
 # Debugging targets
@@ -88,6 +89,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-unused-function
 
+# not linted
+SMATCH=off
+
 $(XPG4)	:=	CFLAGS += -DXPG4
 
 debug :=	SORT_DEBUG = -g -DDEBUG $(ILDOFF)
--- old/usr/src/cmd/sqlite/Makefile	Tue Jan  8 12:36:17 2019
+++ new/usr/src/cmd/sqlite/Makefile	Tue Jan  8 12:36:17 2019
@@ -22,6 +22,7 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		sqlite
 
@@ -40,6 +41,9 @@
 
 CERRWARN +=	-_gcc=-Wno-empty-body
 
+# not linted
+SMATCH=off
+
 LDLIBS +=	-lsqlite-sys
 
 .KEEP_STATE:
--- old/usr/src/cmd/ssh/etc/Makefile	Tue Jan  8 12:36:19 2019
+++ new/usr/src/cmd/ssh/etc/Makefile	Tue Jan  8 12:36:19 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 MANIFEST = ssh.xml
 SVCMETHOD = sshd
@@ -46,6 +47,8 @@
 
 $(POFILE):
 
+SMOFF += signed
+
 all lint clean clobber _msg:
 
 install: all $(DIRS) $(ETCSSHFILES) $(ROOTMANIFEST) $(ROOTSVCMETHOD)
--- old/usr/src/cmd/stat/fsstat/Makefile	Tue Jan  8 12:36:19 2019
+++ new/usr/src/cmd/stat/fsstat/Makefile	Tue Jan  8 12:36:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = fsstat
 OBJS = fsstat.o
@@ -40,6 +41,8 @@
 
 lint := LINTFLAGS = -muxs -I$(STATCOMMONDIR)
 
+SMOFF += signed
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/stat/vmstat/Makefile	Tue Jan  8 12:36:19 2019
+++ new/usr/src/cmd/stat/vmstat/Makefile	Tue Jan  8 12:36:19 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG = vmstat
 OBJS = vmstat.o
@@ -35,6 +36,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-parentheses
+
+SMOFF += signed
+
 FILEMODE= 0555
 
 lint := LINTFLAGS = -muxs -I$(STATCOMMONDIR)
--- old/usr/src/cmd/streams/log/Makefile	Tue Jan  8 12:36:21 2019
+++ new/usr/src/cmd/streams/log/Makefile	Tue Jan  8 12:36:21 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	strace strerr strclean
 
@@ -29,11 +30,13 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-unused-variable
 
+SMOFF += all_func_returns
+
 FILEMODE= 0555
 
 .KEEP_STATE:
 
-all: $(PROG) 
+all: $(PROG)
 
 install: all $(ROOTUSRSBINPROG)
 	-$(RM) $(ROOTBIN)/strace
--- old/usr/src/cmd/sulogin/Makefile	Tue Jan  8 12:36:21 2019
+++ new/usr/src/cmd/sulogin/Makefile	Tue Jan  8 12:36:22 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		sulogin
 ROOTFS_PROG =	$(PROG)
@@ -32,6 +33,9 @@
 
 FILEMODE =	0555
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all:		$(ROOTFS_PROG)
--- old/usr/src/cmd/sunpc/other/Makefile	Tue Jan  8 12:36:22 2019
+++ new/usr/src/cmd/sunpc/other/Makefile	Tue Jan  8 12:36:22 2019
@@ -22,7 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
-# cmd/sunpc/other/Makefile
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= dos2unix unix2dos
 SRCS= ${PROG:%=%.c}
@@ -33,6 +33,9 @@
 CERRWARN += -_gcc=-Wno-uninitialized
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/svc/startd/Makefile	Tue Jan  8 12:36:23 2019
+++ new/usr/src/cmd/svc/startd/Makefile	Tue Jan  8 12:36:24 2019
@@ -22,6 +22,7 @@
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 Milan Jurik. All rights reserved.
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG = svc.startd
@@ -72,6 +73,9 @@
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# these look like real bugs here, but ...
+SMOFF += impossible_mask,signed_integer_overflow_check
+
 $(OBJS) := CPPFLAGS += -D_FILE_OFFSET_BITS=64 -D_REENTRANT
 
 proc.o := CPPFLAGS += -D_REENTRANT
--- old/usr/src/cmd/svc/svccfg/Makefile	Tue Jan  8 12:36:24 2019
+++ new/usr/src/cmd/svc/svccfg/Makefile	Tue Jan  8 12:36:24 2019
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2017 Joyent, Inc.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 MYPROG =	svccfg
@@ -81,6 +81,9 @@
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 LFLAGS = -t
 YFLAGS = -d
 
--- old/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Tue Jan  8 12:36:25 2019
+++ new/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Tue Jan  8 12:36:25 2019
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include $(SRC)/cmd/Makefile.cmd
 
@@ -38,6 +39,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-address
 
+# multiple issues in this old code
+SMATCH=off
+
 LIBINST =       $(SRC)/cmd/svr4pkg/libinst/libinst.a
 
 SRCS=           $(OBJS:.o=.c)
--- old/usr/src/cmd/svr4pkg/libinst/Makefile	Tue Jan  8 12:36:26 2019
+++ new/usr/src/cmd/svr4pkg/libinst/Makefile	Tue Jan  8 12:36:26 2019
@@ -24,6 +24,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= libinst.a
 
@@ -68,6 +69,9 @@
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-variable
 
+# too many issues
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/swap/Makefile.com	Tue Jan  8 12:36:27 2019
+++ new/usr/src/cmd/swap/Makefile.com	Tue Jan  8 12:36:27 2019
@@ -22,7 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/swap/Makefile.com
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	swap
 OBJS=	$(PROG).o
@@ -35,6 +35,9 @@
 CFLAGS64 +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 FILEMODE=02555
 
 CLEANFILES += $(OBJS)
--- old/usr/src/cmd/sysdef/Makefile.com	Tue Jan  8 12:36:28 2019
+++ new/usr/src/cmd/sysdef/Makefile.com	Tue Jan  8 12:36:28 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=	sysdef
 OBJS=	$(PROG).o sdevinfo.o
@@ -32,6 +33,9 @@
 LDLIBS	+= -ldevinfo -lelf
 CERRWARN += -_gcc=-Wno-parentheses
 
+# not linted
+SMATCH=off
+
 FILEMODE= 02555
 
 CLEANFILES += $(OBJS)
--- old/usr/src/cmd/syslogd/Makefile.com	Tue Jan  8 12:36:30 2019
+++ new/usr/src/cmd/syslogd/Makefile.com	Tue Jan  8 12:36:30 2019
@@ -21,6 +21,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= 		syslogd
 ROTATESCRIPT=	newsyslog
@@ -35,6 +36,10 @@
 
 $(PROG) lint 	:= LDLIBS += -lscf -lnsl
 CERRWARN	+= -_gcc=-Wno-uninitialized
+
+# not linted
+SMATCH=off
+
 CPPFLAGS	+= -D_POSIX_PTHREAD_SEMANTICS -D_REENTRANT
 CFLAGS		+= -DNDEBUG
 
--- old/usr/src/cmd/tabs/Makefile	Tue Jan  8 12:36:31 2019
+++ new/usr/src/cmd/tabs/Makefile	Tue Jan  8 12:36:31 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= tabs
 
@@ -33,6 +34,9 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-address
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/tail/Makefile	Tue Jan  8 12:36:32 2019
+++ new/usr/src/cmd/tail/Makefile	Tue Jan  8 12:36:32 2019
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2010 Chris Love.  All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 
@@ -29,6 +30,8 @@
 C99LMODE=	-Xc99=%all
 LINTFLAGS +=	-I. -erroff=E_CONSTANT_CONDITION
 
+SMOFF += leaks
+
 # install rules
 $(ROOTINC)/% : %
 	$(INS.file)
@@ -37,7 +40,7 @@
 
 .PARALLEL: $(OBJS)
 
-all:		$(PROG) 
+all:		$(PROG)
 
 $(PROG):	$(OBJS)
 	$(LINK.c) $(OBJS) -o $@ $(LDLIBS)
--- old/usr/src/cmd/tar/Makefile	Tue Jan  8 12:36:33 2019
+++ new/usr/src/cmd/tar/Makefile	Tue Jan  8 12:36:33 2019
@@ -20,6 +20,7 @@
 #
 #
 # Copyright (c) 1988, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2018, Joyent, Inc.
 #
 
 PROG= tar
@@ -39,6 +40,9 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 CPPFLAGS += -DEUC
 
 ROOTSYMLINK=	$(ROOTPROG)
--- old/usr/src/cmd/tbl/Makefile	Tue Jan  8 12:36:35 2019
+++ new/usr/src/cmd/tbl/Makefile	Tue Jan  8 12:36:35 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1989 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 include		../Makefile.cmd
 
@@ -41,6 +42,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE :
 
 all :		$(PROG)
--- old/usr/src/cmd/tcopy/Makefile	Tue Jan  8 12:36:35 2019
+++ new/usr/src/cmd/tcopy/Makefile	Tue Jan  8 12:36:35 2019
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 1990 by Sun Microsystems, Inc.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG =		tcopy
 
@@ -32,6 +33,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-extra
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE :
 
 all:		$(PROG) 
--- old/usr/src/cmd/tcpd/Makefile	Tue Jan  8 12:36:36 2019
+++ new/usr/src/cmd/tcpd/Makefile	Tue Jan  8 12:36:36 2019
@@ -4,6 +4,7 @@
 #
 # Copyright 2011 Nexenta Systems, Inc. All rights reserved.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		safe_finger tcpd tcpdchk tcpdmatch try-from
 
@@ -29,6 +30,9 @@
 CERRWARN +=	-_gcc=-Wno-return-type
 CERRWARN +=	-_gcc=-Wno-clobbered
 
+# not linted
+SMATCH=off
+
 # Various components must export interfaces, but also contain name-space
 # clashes with system libraries.
 MAPFILE.INT.D=	$(MAPFILE.NGB) mapfile-intf-tcpdchk
--- old/usr/src/cmd/tnf/prex/Makefile.com	Tue Jan  8 12:36:37 2019
+++ new/usr/src/cmd/tnf/prex/Makefile.com	Tue Jan  8 12:36:37 2019
@@ -24,8 +24,7 @@
 # Copyright 1989,2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# cmd/tnf/prex/Makefile.com
-#
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		prex
 
@@ -72,6 +71,9 @@
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 .PARALLEL: $(OBJS)
--- old/usr/src/cmd/tnf/tnfxtract/Makefile.com	Tue Jan  8 12:36:39 2019
+++ new/usr/src/cmd/tnf/tnfxtract/Makefile.com	Tue Jan  8 12:36:39 2019
@@ -23,6 +23,7 @@
 # Copyright 1994, 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG=		tnfxtract
 
@@ -38,6 +39,9 @@
 LDLIBS +=	-lkvm
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
+# not linted
+SMATCH=off
+
 .KEEP_STATE:
 
 all: $(PROG)
--- old/usr/src/cmd/tput/Makefile	Tue Jan  8 12:36:41 2019
+++ new/usr/src/cmd/tput/Makefile	Tue Jan  8 12:36:41 2019
@@ -23,6 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= tput
 
@@ -35,6 +36,9 @@
 XGETFLAGS += -a -x tput.xcl
 LDLIBS +=  -lcurses
 
+# not linted
+SMATCH=off
+
 all: $(PROG)
 
 install: all $(ROOTPROG)
--- old/usr/src/cmd/truss/Makefile.com	Tue Jan  8 12:36:42 2019
+++ new/usr/src/cmd/truss/Makefile.com	Tue Jan  8 12:36:42 2019
@@ -23,9 +23,8 @@
 # Copyright (c) 2016 by Delphix. All rights reserved.
 # Copyright 2010 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
+# Copyright (c) 2018, Joyent, Inc.
 #
-# cmd/truss/Makefile.com
-#
 
 PROG=	truss
 
@@ -42,6 +41,9 @@
 CERRWARN	+= -_gcc=-Wno-uninitialized
 CERRWARN	+= -_gcc=-Wno-switch
 
+# not linted
+SMATCH=off
+
 CSTD=	$(CSTD_GNU99)
 
 LDLIBS	+= -lproc -lrtld_db -lc_db -lnsl -lsocket -ltsol -lnvpair
--- old/usr/src/cmd/tsol/tnd/Makefile	Tue Jan  8 12:36:44 2019
+++ new/usr/src/cmd/tsol/tnd/Makefile	Tue Jan  8 12:36:44 2019
@@ -22,6 +22,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= tnd
 OBJS= tnd.o
@@ -47,6 +48,8 @@
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
 
+SMOFF += no_if_block
+
 .KEEP_STATE:
 
 all:	$(PROG)
--- old/usr/src/cmd/ttymon/Makefile	Tue Jan  8 12:36:45 2019
+++ new/usr/src/cmd/ttymon/Makefile	Tue Jan  8 12:36:45 2019
@@ -23,6 +23,7 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+# Copyright (c) 2018, Joyent, Inc.
 
 PROG= stty ttymon ttyadm sttydefs
 XPG4PROG= stty
@@ -78,6 +79,9 @@
 CERRWARN +=	-_gcc=-Wno-uninitialized
 CERRWARN +=	-_gcc=-Wno-extra
 
+# not linted
+SMATCH=off
+
 #
 # Message catalog
 #
